<a name="top"></a><h2><?php esc_html_e( 'Eventbrite Plugin Help', 'eventbrite' ); ?></h2>
<p>
	Eventbrite help page.
</p>

<p>
	Available short codes:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>[eb_calendar] - <a href="#calendar">options</a></li>
	<li>[eb_carousel] - <a href="#carousel">options</a></li>
	<li>[eb_event_details] - <a href="#eventdetails">options</a></li>
	<li>[eb_justannounced] - <a href="#justannounced">options</a></li>
	<li>[eb_listview] - <a href="#listview">options</a></li>
	<li>[eb_powered_link] - <a href="#eblogo">options</a></li>
	<li>[eb_searchform] - <a href="#searchform">options</a></li>
	<li>[eb_upcoming] - <a href="#upcoming">options</a></li>
</ul>
</p>

<p>
	Plugin options:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>Mobile plugin - <a href="#mobile">theming / custom logo</a></li>
</ul>
</p>

<hr style="width:100%;float:left;">

<h2 style="clear:both;">Plugins Requirements &amp; Dependencies</h2>
<p> All Eventbrite plugins require the <strong>Eventbrite Events</strong> plugin to be activated.
</p>
<p> To enable the mobile version of the site: <strong>Eventbrite Mobile</strong> needs to be activated, too.
</p>

<hr style="width:100%;float:left;"/>

<a name="imagesizes"></a><h2 style="clear:both;">Image Sizes</h2>
<p>Below you'll find all image sizes available for Eventbrite events in the list view, calendar, carousel and on the
	event detail page.
<ul style="list-style-type:square;list-style-position:inside;padding-left:25px;">
	<li><strong>square</strong>: 100px x 100px</li>
	<li><strong>small</strong>: 100px wide (full aspect)</li>
	<li><strong>small1</strong>: 100px x 67px</li>
	<li><strong>small-eb</strong>: 100px x 50px</li>
	<li><strong>medium</strong>: 200px wide (full aspect)</li>
	<li><strong>medium1</strong>: 200px x 133px</li>
	<li><strong>medium-eb</strong>: 200px x 100px</li>
	<li><strong>large</strong>: 300 wide (full aspect)</li>
	<li><strong>large1</strong>: 300px x 200px</li>
	<li><strong>large-eb</strong>: 300px x 150px</li>
	<li><strong>xlarge</strong>: 500px wide (full aspect)</li>
	<li><strong>xlarge1</strong>: 500px x 334px</li>
	<li><strong>xlarge-eb</strong>: 500px x 250px</li>
	<li><strong>xxlarge</strong>: 640px wide (full aspect)</li>
	<li><strong>xxlarge1</strong>: 640px x 433px</li>
	<li><strong>xxlarge-eb</strong>: 640px x 320px</li>
	<li><strong>jumbo</strong>: 960px wide (full aspect)</li>
	<li><strong>jumbo1</strong>: 960px x 540px</li>
	<li><strong>jumbo-eb</strong>: 960px x 480px</li>
	<li><strong>og</strong>: 1280px wide (full aspect)</li>
	<li><strong>og-eb</strong>: 1280px x 640px</li>
</ul>
</p>

<hr style="width:100%;float:left;"/>

<a name="calendar"></a><h2 style="clear:both;">Calendar</h2>
<p>
	Short code: <strong>[eb_calendar]</strong>
</p>

<h3>Exclusion Options</h3>
<p>
	Example of how to exclude age restriction and venue: [eb_calendar exclude="age-restriction,venue"]
</p>

<p>
	Available <strong>exclusion options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>age-restriction</li>
	<li>headliner-image</li>
	<li>calendar-list-flip</li>
	<li>calendar-title</li>
	<li>doors</li>
	<li>event-name</li>
	<li>headliners</li>
	<li>month-title</li>
	<li>presented-by</li>
	<li>starttime</li>
	<li>supports</li>
	<li>ticket-link-status</li>
	<li>times</li>
	<li>venue</li>
</ul>
</p>
<p><strong>Note: </strong>Times are included but hidden by default with "display:none;" in the plugin CSS.</p>
<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li><strong>Date format</strong>, use PHP style formatting: dateformat="D n/d" (default)</li>
	<li><strong>Set calendar title</strong>: caltitle="Event Calendar" (default: Upcoming Events)</li>
	<li><strong>Display event images and/or change image size</strong>: imagesize="small" (default: none, list of
		available <a href="#imagesizes">image sizes</a>)
	</li>
	<!--    <li><strong>Only display images of featured events (requires e.g. imagesize="small" to be set)</strong>: featuredimage="yes"</li>-->
	<li><strong>Limit the events to a specific organizer</strong> (needs to be one of the org(s) defined in the
		settings): org="1234567" (default: set in settings)
	</li>
	<li><strong>Limit the events to a specific venue</strong> (needs to be a venue belonging to the organizer(s) defined
		in
		the settings): venue="1234567" (default: set in settings)
	</li>
	<li><strong>Include iCal and Google calendar feed links</strong>: calsync="on" (default: off)</li>
</ul>
</p>
<p>
	<a href="#top">Back</a> to short code overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="carousel"></a><h2 style="clear:both;">Carousel</h2>
<p>
	Short code: <strong>[eb_carousel]</strong>
</p>

<h3>Exclusion Options</h3>

<p>
	Example of how to only display shows from a specific organizer and hide the venue name: [eb_carousel org="1234567"
	exclude="venue"]
</p>

<p>
	Available <strong>exclusion options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>dates</li>
	<li>enddate</li>
	<li>event-name</li>
	<li>owljs (in order to apply Owl JS customization from your theme)</li>
	<li>startdate</li>
	<li>ticket-link-status</li>
	<li>venue</li>
</ul>
</p>

<p>
	Available <strong>Owl Carousel options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>loop (default: loop="true")</li>
	<li>mousedrag (default: mousedrag="true")</li>
	<li>autoheight (default: autoheight="true")</li>
	<li>autoplay (default: autoplay="true")</li>
	<li>autoplaytimeout (default: autoplaytimeout="5000")</li>
	<li>autoplayhoverpause (default: autoplayhoverpause="true")</li>
	<li>items (default: items="1")</li>
	<li>center (default: center="true")</li>
	<li>startposition (default: startposition="0")</li>
	<li>dots (default: dots="true")</li>
	<li>nav (default: nav="true")</li>
	<li>margin (default: margin="0")</li>
	<li>stagepadding (default: stagepadding="0")</li>
	<li>responsiveclass (default: responsiveclass="true")</li>
</ul>
</p>

<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li><strong>Limit the events to a specific organizer</strong> (needs to be one of the organizers defined in the
		settings): org="1234567" (default: set in settings)
	</li>
	<li><strong>Limit the events to a specific venue</strong> (needs to be a venue belonging to the organizers defined
		in
		the settings): venue="1234567" (default: set in settings)
	</li>
	<li><strong>Limit the events to specific event IDs</strong>: eventids="53689548886,54265451426" (multiple event IDs
		separated by commas, no spaces)
	</li>
	<li><strong>Change the image size</strong>: imagesize="large" (default: xlarge1, list of available <a
				href="#imagesizes">image sizes</a>)
	</li>
	<li><strong>Limit the number of events</strong>: num="2" (default: 4, valid values: 1-10)</li>
	<li><strong>Date format</strong>, use PHP style formatting: dateformat="D n/d" (default)</li>
</ul>
</p>

<p>
	<a href="#top">Back</a> to short code overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="eventdetails"></a><h2 style="clear:both;">Event Details</h2>
<p>
	Short code: <strong>[eb_event_details]</strong>
</p>

<h3>Exclusion Options</h3>
<p>
	Example of how to exclude price-range and venue-info: [eb_event_details exclude="price-range,venue-info"]
</p>

<p>
	Available <strong>exclusion options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>age-restriction</li>
	<li>city-state</li>
	<li>dates</li>
	<li>description</li>
	<li>details</li>
	<li>doors</li>
	<li>enddate</li>
	<li>event-name</li>
	<li>headliners</li>
	<li>master-image</li>
	<li>performers-label</li>
	<li>presented-by</li>
	<li>price-range</li>
	<li>share</li>
	<li>share-email</li>
	<li>share-facebook</li>
	<li>share-gplus</li>
	<li>share-twitter</li>
	<li>starttime</li>
	<li>supports</li>
	<li>ticket-link</li>
	<li>ticket-link-status</li>
	<li>ticket-price</li>
	<li>times</li>
	<li>venue</li>
	<li>venue-info</li>
</ul>
</p>
<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li><strong>Date format</strong>, use PHP style formatting: dateformat="D, F j, Y" (default)</li>
	<li><strong>Show end time</strong>: include="endtime"</li>
	<li><strong>Change the event image size</strong>: imagesize="small" (default: large, list of available <a
				href="#imagesizes">image sizes</a>)
	</li>
	<li><strong>Change the artist bio image size</strong>: bioimagesize="small" (default: small, list of available <a
				href="#imagesizes">image sizes</a>)
	</li>
	<li><strong>Change the text for the performers label</strong>: [eb_event_details performerslabel="Featuring the
		artists:"]
		(default: "Performers:")
	</li>
	<li><strong>Include iCal and Google calendar links</strong>: calsync="on" (default: off)</li>
	<li><strong>Display artist links inline</strong>: include="inline-links" or include="inline-icons" (remove include
		option to revert back to jQuery UI hidden modal)
	</li>

</ul>
</p>
<p>
	<a href="#top">Back</a> to short code overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="justannounced"></a><h2 style="clear:both;">Just Announced</h2>
<p>
	Short code: <strong>[eb_justannounced]</strong>
</p>

<p>
	Example of how to only display 5 shows: [eb_justannounced num="5"]
</p>

<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li><strong>Date format</strong>, use PHP style formatting: dateformat="n/d" (default)</li>
	<li><strong>Change the max number of events being listed</strong>: num="20" (default: 10)</li>
	<li><strong>Change the title</strong>: title="New Shows" (default: Just Announced)</li>
	<!--    <li><strong>Only show featured shows</strong>: type="featured" (default: all)</li>-->
	<li><strong>Limit the events to a specific organizer</strong> (needs to be one of the organizers defined in the
		settings): org="1234567" (default: set in settings)
	</li>
	<li><strong>Limit the events to a specific venue</strong> (needs to be a venue belonging to the organizer(s) defined
		in the settings): venue="1234567"
	</li>
</ul>
</p>

<p>
	<a href="#top">Back</a> to short code overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="listview"></a><h2 style="clear:both;">List View</h2>
<p>
	Short code: <strong>[eb_listview]</strong>
</p>

<h3>Exclusion Options</h3>
<p>
	Example of how to exclude the calendar-link and age restriction: [eb_listview
	exclude="calendar-link,age-restriction"]
</p>

<p>
	Available <strong>exclusion options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>age-restriction</li>
	<li>calendar-link</li>
	<li>city-state <strong>*</strong></li>
	<li>dates</li>
	<li>doors</li>
	<li>enddate</li>
	<li>event-name</li>
	<li>headliner-image</li>
	<li>headliners</li>
	<li>list-view-title</li>
	<li>more-info <strong>*</strong></li>
	<li>pagination</li>
	<li>presented-by</li>
	<li>price-range</li>
	<li>startdate</li>
	<li>starttime</li>
	<li>status</li>
	<li>supports</li>
	<li>ticket-link-status</li>
	<li>ticket-price</li>
	<li>times</li>
	<li>venue</li>
</ul>
<strong>*</strong> The event's city and state (e.g. San Francisco, CA) and More Info link (linking to the event detail page) are rendered in the markup, but hidden in the default CSS. You can override the default CSS rule by changing the display property for each class (.more-info or .city-state) to block, inline or inline-block. Remember to start your declaration with the class or ID of the first element in your layout (e.g. #main, #wrapper, .page, etc.)
</p>

<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li><strong>Date format</strong>, use PHP style formatting: dateformat="D n/d" (default)</li>
	<li><strong>Show end time</strong>: include="endtime"</li>
	<li><strong>Show event summary when available</strong>: include="event-summary"</li>
	<li><strong>Change the number of events being listed</strong> per paginated page: num="10" (default: 50 [50 is the
		maximum number of possible results per page])
	</li>
	<li><strong>Change the title</strong>: title="Our Shows" (default: Upcoming Shows)</li>
	<li><strong>Change the image size of the event image</strong>: imagesize="small" (default: small, list of available
		<a href="#imagesizes">image sizes</a>)
	</li>
	<li><strong>Filter event order by Just Announced</strong>: type="justannounced"</li>
	<li><strong>Limit the events to a specific organizer</strong> (needs to be one of the organizers defined in the
		settings): org="1234567" (default: set in settings)
	</li>
	<li><strong>Limit the events to specific event IDs</strong>: eventids="53689548886,54265451426" (multiple event IDs
		separated by commas, no spaces)
	</li>
	<li><strong>Limit the events to a specific venue</strong> (needs to be a venue belonging to the org(s) defined in
		the settings): venue="1234567"
	</li>

	<li><strong>Show event summary when available</strong>: include="event-summary"</li>
	</li>
</ul>
</p>
<p>
	<a href="#top">Back</a> to short code overview.
</p>


<hr style="width:100%;float:left;"/>

<a name="searchform"></a><h2 style="clear:both;">Search Form</h2>
<p>
	Short code: <strong>[eb_searchform]</strong>
</p>

<h3>Options</h3>
<p>
	Example of how to point to a specific search results page (e.g. page slug and page name is "search"): [eb_searchform
	search_results_page="/search/"]
</p>

<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>Point to a different search results page. Please make sure to create the "Search" page first, and, add the e.g.
		list view short code in it before you can point to it. Example: [eb_searchform search_results_page="search"]
		(default search results page: /listing/)
	</li>
	<li>Change the text inside search text box: [eb_searchform formtext="Search for ..."] (default: "Enter an Artist or
		Event")
	</li>
</ul>
</p>
<p>
	<a href="#top">Back</a> to short code overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="mobile"></a><h2 style="clear:both;">Mobile plugin</h2>
<p>
<ul style="list-style-type:square;list-style-position:inside;">
	<li>Create a png file that is 364px x 88px, that still looks sharp at 50% size (this is for retina screen devices),
		name it mobile-header.png and upload it to the images directory in your theme. We recommend that the logo have a
		transparent background and a light primary color that is legible against a dark background.
	</li>
	<li>If you want certain content to load on your mobile site but not on your desktop site (or vice versa), you can
		wrap content in the plugin&#39;s include tags. In this example the content would only appear on your mobile site
		[eb_mobile] Hello Mobile World [/eb_mobile]. In this example the content would only appear on your desktop site
		[tf_desktop] Hello Desktop World [/eb_desktop]. You can mix and match them, and wrap them around other
		shortcodes to achieve your design.
	</li>
</ul>
</p>
<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>To customize the CSS of your mobile site, create a directory in your theme named mobile. Add a file named
		style.css to that directory. Add your overrides to that stylesheet.
	</li>
	<li>The html body tag contains a class="site-id-[side-id]" (e.g.
		<body class="site-id-10">) to allow for customizations based on the WordPress site id. An example would be if
		one WP theme is being used by several sites and you want to show different site logos on the mobile site.
	</li>
	<li>The plugin by default uses the first menu listed in your sites database. If you want a custom menu for mobile,
		create a menu named "Eventbrite Mobile Menu".
	</li>
	<li>The plugin creates a sidebar "EB Mobile Panel - Side Menu". You can drag a custom menu widget into that sidebar.
		We also recommend adding text widgets with Eventbrite short codes to populate features like search [eb_search]
		or email sign up [eb_emailform formtype="mobile"].
	</li>
	<li>Optional Listing Short code: <strong>[eb_hero_listview]</strong>
	</li>
</ul>
</p>
<p>
	<a href="#top">Back</a> to overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="eblogo"></a><h2 style="clear:both;">Eventbrite logo</h2>
<p>
	Short code: <strong>[eb_powered_link]</strong>
</p>

<h3>Options</h3>
<p>Example of how to display the Eventbrite logo: [eb_powered_link]</p>
<p>The Eventbrite logo is required to appear in the footer of your site by utilizing this shortcode. This not only
	displays the logo with a clean SVG, but also provides tracking codes for Eventbrite analytics dashboards.</p>
<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li>Change the logo color: [eb_powered_link color="white"] (Default color: orange; Available colors: black, white,
		dark-gray)
	</li>
</ul>
</p>

<p>
	<a href="#top">Back</a> to overview.
</p>

<hr style="width:100%;float:left;"/>

<a name="upcoming"></a><h2 style="clear:both;">Upcoming</h2>
<p>
	Short code: <strong>[eb_upcoming]</strong>
</p>

<p>
	Example of how to only show today's events for Organizer ID 1234567: [eb_upcoming org="1234567" type="today"]
</p>

<p>
	<strong>Advanced options</strong>:
<ul style="list-style-type:square;list-style-position:inside;">
	<li><strong>Date format</strong>, use PHP style formatting: dateformat="D n/d" (default)</li>
	<li><strong>Change the max number of events being listed</strong>: num="20" (default: 10)</li>
	<li><strong>Change the title</strong>: title="Our Shows" (default: Upcoming Shows)</li>
	<li><strong>Limit the events to a specific organizer</strong> (needs to be one of the organizers defined in the
		settings): org="1234567" (default: set in settings)
	</li>
	<li><strong>Limit the events to a specific venue</strong> (needs to be a venue belonging to the organizer(s) defined
		in
		the settings): venue="1234567"
	</li>
	<li><strong>Limit the events to specific event IDs</strong>: eventids="53689548886,54265451426" (multiple event IDs
		separated by commas, no spaces)
	</li>
</ul>
</p>

<p>
	<a href="#top">Back</a> to short code overview.
</p>

<hr style="width:100%;float:left;"/>