<?php

class Description_Api {
	public function get_event_description( $event_id ) {
		$key              = sprintf( 'eb_event_desc_cache_%d', $event_id );
		$maybe_event_desc = get_transient( $key );
		if ( $maybe_event_desc ) {
			return unserialize( $maybe_event_desc );
		}
		$base_url = trailingslashit( EVB_API_ENDPOINT ) . 'v3/events/%d/description';
		$token    = get_option( 'api_access_token', '' );
		$url      = sprintf( $base_url, absint( $event_id ) ) . '?token=' . $token;
		$response = wp_remote_get( $url );

		if ( 200 !== wp_remote_retrieve_response_code( $response ) ) {
			return [];
		}
		$body = json_decode( wp_remote_retrieve_body( $response ) );
		set_transient( $key, serialize( $body ), 3600 );

		return $body;
	}
}
