<?php
/**
 * Email subscribe class
 */
class Email_subscribe {

	/**
	 * Renders the sign up form.
	 *
	 * @param string $list The List ID.
	 * @param string $formtype The type of form.
	 * @param string $formtext The placeholder text to be shown.
	 *
	 * @return string
	 */
	public function report_button_safe( $list, $formType = '', $formtext = '', $nonce ) {
		if ( $formType === 'mobile' ) {
			$formtext  = 'Join our mailing list';
		}
		$placeholder = '' !== $formtext ? $formtext : 'example@email.com';
		$content = '<section class="eb-email-subscribe tfly-email-subscribe">
						<span class="eb-email-result"></span>
		             <form action="" id="eb-emailform" class="signup-form">
                  <section class="eb-email-address">
						<label for="contact" class="visuallyhidden">Subscribe to mailing list</label>
                  <input type="email" name="contact" placeholder="' . esc_html__( $placeholder, 'eventbrite' ) . '" value="" 
                  class="eb-email-address-text tfly-email-subscribe-text" aria-label="Email Address">
						</section>
						<section class="eb-email-submit">
						<button type="submit" class="eb-email-subscribe-submit tfly-email-subscribe-submit" data-list="' . esc_attr($list) . '" data-nonce="' . esc_attr($nonce) . '" aria-label="Submit email address to mailing list">' .
				   esc_html__( 'Subscribe', 'eventbrite' ) .
				   '</button></section>
						</form>
					</section>';
		return $content;
	}
}
