<?php

$pagination = ( $ebApiData->get_pagination() ) ? $ebApiData->get_pagination() : [];

// phpcs:ignore  extract() will be one of our last PHPCS items to resolve
extract( wp_parse_args( $atts, [
	'imagesize'  => 'xlarge1',
	'timezone'   => '',
	'dateformat' => 'M j',
	'exclude'    => '',
	'num'        => '4',
	'venue'      => '',
	'org'        => '',
	'linktarget' => true,
	'type'       => '',
] ) );

echo '
<script>
    var excludeOptions = ' .  wp_json_encode( $exclude ) . ';
    var dateFormat  = ' .  wp_json_encode( $dateformat ) . ';
    var venueId  = ' .  wp_json_encode( $venue ) . ';
    var orgId  = ' .  wp_json_encode( $org ) . ';
</script>
    ';
$exclude = explode( ",", $exclude );
$searchClass = '';
function eb_listviewHeadline( $events ) {
	global $post;
	// Listing is for a venue detail page
	if ( isset( $post->eb_id ) && ( ( $post->eb_events_page_role === 'venue_details' ) || ( $post->eb_type === 'venue' ) ) && isset( $events->venue->name ) ) {
		return sprintf( esc_html__( '%s - Events', 'eventbrite' ), esc_html( $events->venue->name ) );
		// Listing is for search results ->
	} elseif ( isset( $_GET[ 'q' ] ) ) {
		$searchQuery = sanitize_text_field( $_GET[ 'q' ] );
		if ( $searchQuery === 'Enter an Artist, Event, City or Venue' ) {
			return esc_html__( 'Looking for something? Use the box above.', 'eventbrite' );
		} else {
			return esc_html__( 'Search results', 'eventbrite' );
		}
	}

	return '';
} // end of title exclusion if statement

function eb_searchResultsMsg( $events ) {
	$searchQuery = isset( $_GET[ 'q' ] ) ? sanitize_text_field( $_GET[ 'q' ] ) : '';
	if ( count( $events ) > 0 ) {
		$searchResultsText = sprintf(
			_n(
				'%d search result for &ldquo;%s&rdquo;',
				'%d search results for &ldquo;%s&rdquo;',
				count( $events ),
				'eventbrite'
			),
			count( $events ),
			esc_html($searchQuery)
		);
	} else {
		$searchResultsText = '<p><b>';
		$searchResultsText .=  sprintf( esc_html__( 'No results found for &ldquo;%s&rdquo;', 'eventbrite' ), esc_html($searchQuery) );
		$searchResultsText .= '</b></p>';
		$searchResultsText .='<p>';
		$searchResultsText .= sprintf( esc_html__( 'We\'re sorry, but we couldn\'t find any events for &ldquo;%s&rdquo;. Please check your spelling and punctuation and try again using the search box above', 'eventbrite' ), esc_html($searchQuery) );
		$searchResultsText .= '</p>';
	}

	return '<div class="search-results-message">' . $searchResultsText . '</div>';
}


echo '<section class="hero-listview' . esc_attr( $searchClass ) . '">';

if ( ! in_array( "list-view-title", $exclude, true ) ) {
	echo '<div class="list-view-heading"><h2 class="list-view-title">' . esc_html( eb_listviewHeadline( $events ) ) . '</h2></div>';
}

if ( isset( $_GET[ 'q' ] ) ) {
	//See eb_searchResultsMsg, everything is properly escaped in output in that function
	echo eb_searchResultsMsg( $ebApiData->get_events() );//phpcs:ignore
}

if ( ( eb_is_valid_field( $pagination['object_count'] ) ) && ( $pagination['object_count'] > 0 ) ) {
	$templPath = eb_locate_template( 'heroListView-item' );

	foreach ( $ebApiData->get_events() as $i => $event ) {
		$urlVars    = [];
		$urlVars    = eb_getInitialUrlVars( $event );
		$urlClasses = 'event-url';
		include( dirname( __FILE__ ) . '/../inc/listView-values.php' );
		if ( ! empty( $templPath ) ) {
			require $templPath;
		}
		$urlVars = null;
	} // end event loop ?>

	<?php //pagination
	if ( $ebApiData->get_pagination()['object_count'] > 1 && ! in_array( "pagination", $exclude, true ) ) { ?>
		<div class="loadMore"
			 data-num="<?php echo esc_attr( $num ); ?>"
			 data-feedtype="<?php echo esc_attr( $type ); ?>">
			<?php if ( ! in_array( "pagination-load-more", $exclude, true ) ) {
				echo '<div role="button" aria-label="Load More Events" class="loadMoreBtn"> ' . esc_html__( 'Show More Events', 'eventbrite' ) . '</div>';
			} else {
				eb_listview_pagination( $ebApiData->get_pagination(), $exclude );
			} ?>
		</div>
	<?php } // -- end pagination
}
echo '</section>';
